Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.plot
Interface Zoomable

All Known Implementing Classes:
  CategoryPlot, CombinedDomainCategoryPlot, CombinedDomainXYPlot, CombinedRangeCategoryPlot, CombinedRangeXYPlot, FastScatterPlot, PolarPlot, ThermometerPlot, XYPlot

    public interface Zoomable

A plot that is zoomable must implement this interface to provide a mechanism for the `ChartPanel` to control the zooming.

Method Summary
`PlotOrientation` | `getOrientation()` Returns the orientation of the plot.
`boolean` | `isDomainZoomable()` Returns `true` if the plot's domain is zoomable, and `false` otherwise.
`boolean` | `isRangeZoomable()` Returns `true` if the plot's range is zoomable, and `false` otherwise.
`void` | `zoomDomainAxes(double lowerPercent, double upperPercent, PlotRenderingInfo state, java.awt.geom.Point2D source)` Zooms in on the domain axes.
`void` | `zoomDomainAxes(double factor, PlotRenderingInfo state, java.awt.geom.Point2D source)` Multiplies the range on the domain axis/axes by the specified factor.
`void` | `zoomRangeAxes(double lowerPercent, double upperPercent, PlotRenderingInfo state, java.awt.geom.Point2D source)` Zooms in on the range axes.
`void` | `zoomRangeAxes(double factor, PlotRenderingInfo state, java.awt.geom.Point2D source)` Multiplies the range on the range axis/axes by the specified factor.

Method Detail

### isDomainZoomable

    boolean isDomainZoomable()

  Returns `true` if the plot's domain is zoomable, and `false` otherwise.

  Returns:
    A boolean.

### isRangeZoomable

    boolean isRangeZoomable()

  Returns `true` if the plot's range is zoomable, and `false` otherwise.

  Returns:
    A boolean.

### getOrientation

    PlotOrientation getOrientation()

  Returns the orientation of the plot.

  Returns:
    The orientation.

### zoomDomainAxes

    void zoomDomainAxes(double factor,
                        PlotRenderingInfo state,
                        java.awt.geom.Point2D source)

  Multiplies the range on the domain axis/axes by the specified factor.

  Parameters:
    `factor` - the zoom factor.
    `state` - the plot state.
    `source` - the source point (in Java2D coordinates).

### zoomDomainAxes

    void zoomDomainAxes(double lowerPercent,
                        double upperPercent,
                        PlotRenderingInfo state,
                        java.awt.geom.Point2D source)

  Zooms in on the domain axes.

  Parameters:
    `lowerPercent` - the new lower bound.
    `upperPercent` - the new upper bound.
    `state` - the plot state.
    `source` - the source point (in Java2D coordinates).

### zoomRangeAxes

    void zoomRangeAxes(double factor,
                       PlotRenderingInfo state,
                       java.awt.geom.Point2D source)

  Multiplies the range on the range axis/axes by the specified factor.

  Parameters:
    `factor` - the zoom factor.
    `state` - the plot state.
    `source` - the source point (in Java2D coordinates).

### zoomRangeAxes

    void zoomRangeAxes(double lowerPercent,
                       double upperPercent,
                       PlotRenderingInfo state,
                       java.awt.geom.Point2D source)

  Zooms in on the range axes.

  Parameters:
    `lowerPercent` - the new lower bound.
    `upperPercent` - the new upper bound.
    `state` - the plot state.
    `source` - the source point (in Java2D coordinates).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD